Rule Instance - Create

### Create Rule Instance `POST /rule-instances` endpoint is used to create a new rule instance. A rule instance can be thought of as a live entity, that runs checks for for transactions. Rule instances use `Rule` templates as the blueprint. Every rule instance has an associated `ruleId` of the rule from which it is derived. The details of the rule and the required parameters is found by `GET /rules` endpoint. Once a rule instance is created, flagright generates an ID for the rule instance and also stores related metadata like: - `id` - unique identifier for the rule instance - `runCount` - how many times the rule instance was run - `hitCount` - how many times a rule was hit - `createdAt` & `updatedAt` - timestamps They are generated and maintained by the flagright system and are not updatable by the API.

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Request

This endpoint expects an object.
ruleIdstringOptional
alertCreationOnHitbooleanOptional
filtersobjectOptional

Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.

parametersobjectOptional
ruleNameAliasstringOptional
riskLevelParametersobjectOptional
actionenumOptional
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
riskLevelActionsobjectOptional
triggersOnHitobjectOptional
riskLevelsTriggersOnHitobjectOptional
statusenumOptional
casePriorityenumOptional

Response

OK
idstring
typeenum
ruleIdstring
checksForlist of strings
runCountdouble
hitCountinteger
createdAtdouble
updatedAtdouble
alertCreationOnHitboolean
filtersobject

Rule filters. A key-value json object corresponding to the json schema returned by /rule-filters-schema endpoint.

parametersobject
ruleNameAliasstring
riskLevelParametersobject
actionenum
Model for rule action if a rule is hit. This is returned in the API response and can be configured on Console by operational accounts like a Compliance Analyst
riskLevelActionsobject
triggersOnHitobject
riskLevelsTriggersOnHitobject
statusenum
casePriorityenum

Errors

400
Bad Request Error